package junkutil.common;

import java.util.Map;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * 設定ファイルの読み込みをテストする。
 * @author Hiroyuki Shiota
 */
public class ConfigTest extends TestCase {
	/**
	 * コンストラクタ
	 * @param name
	 */
	public ConfigTest(String name) {
		super(name);
	}

	/**
	 * @return
	 */
	public static Test suite() {
		TestSuite test = new TestSuite("ConfigTest");
		test.addTest(new TestSuite(ConfigTest.class));
		return test;
	}

	/**
	 * @see junit.framework.TestCase#setUp()
	 */
	protected void setUp() throws Exception {
	}

	/**
	 * @see junit.framework.TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
	}

	/**
	 * @throws Exception
	 */
	public void testReadProperties() throws Exception {
		Map ini = Config.readProperties("testdata/testConfig.ini");
		
		System.out.println("#properties");
		DataDumper.dumpMap(System.out, ini);
		assertTrue(true);
	}
	
	/**
	 * @throws Exception
	 */
	public void testReadIniFile() throws Exception {
		System.out.println("#dumpMap 1");
		Map ini1 = Config.readIniFile("testdata/testConfig.ini");
		DataDumper.dumpMap(System.out, ini1);
		assertTrue(true);
		
		System.out.println("#dumpMap 2");
		Map ini2 = Config.readIniFile("testdata/testConfig.ini", "euc-jp");
		DataDumper.dumpMap(System.out, ini2);
		assertTrue(true);

		System.out.println("#dumpMap 3");
		Map ini3 = Config.readIniFile("testdata/testConfig.ini", Config.USE_ENCODING_ENTRY );
		DataDumper.dumpMap(System.out, ini3);
		assertTrue(true);
	}
}
